package pgp.hkp

import pgp.hkp.operation.Get
import java.net.http.HttpClient


open class HKPApi(
    val http: HttpClient,
    val service: HKPServerInfo,
    val openpgp: OpenPgpImplementation
) {
    companion object {
        const val REQUEST_PATH_PREFIX = "/pks"
        const val REQUEST_PATH_LOOKUP = "${Companion.REQUEST_PATH_PREFIX}/lookup"
        const val REQUEST_PATH_ADD = "${Companion.REQUEST_PATH_PREFIX}/add"

        const val VAR_OP = "op"
        const val VAR_SEARCH = "search"

        const val OP_GET = "get"
        const val OP_INDEX = "index"
        const val OP_VINDEX = "vindex"
        const val OP_STATS = "stats"
        const val OP_HGET = "hget"
    }

    fun get() = Get(http, service, openpgp)
}