package pgp.hkp.operation

import pgp.hkp.HKPApi.Companion.REQUEST_PATH_LOOKUP
import pgp.hkp.HKPApi.Companion.VAR_OP
import pgp.hkp.HKPApi.Companion.VAR_SEARCH
import pgp.hkp.HKPServerInfo
import java.net.URI
import java.net.http.HttpClient
import java.net.http.HttpRequest
import java.net.http.HttpResponse
import java.net.http.HttpResponse.BodySubscribers

class LookupRequest(
    val http: HttpClient,
    val service: HKPServerInfo,
    val op: CharSequence,
    val search: CharSequence
) {

    val path: CharSequence
        get() = "$REQUEST_PATH_LOOKUP?search=$search&op=$op"

    fun execute() {
        val request = HttpRequest.newBuilder(URIBuilder()URI.create("${service.serviceUri}$REQUEST_PATH_LOOKUP"))
            .GET()
            .(VAR_SEARCH, search.toString())
            .header(VAR_OP, op.toString())
            .build()

        println(request.toString())

        http.send(request, HttpResponse.BodyHandler {it -> BodySubscribers.ofByteArray()})
    }
}