package pgp.hkp

import org.junit.jupiter.api.Test
import java.net.URI
import java.net.http.HttpClient
import java.util.HexFormat

class HKPApiTest {

    @Test
    fun test() {
        val api = HKPApi(HttpClient.newHttpClient(),
            HKPServerInfo(URI.create("http://keys.example.com:11371")),
            object : OpenPgpImplementation() {
                override fun hexKeyId(keyId: Long): CharSequence {
                    return keyId.toString(16)
                }

                override fun hexFingerprint(fingerprint: ByteArray): CharSequence {
                    return HexFormat.of().formatHex(fingerprint)
                }
            }
        )

        api.get().byUserId("Alice").execute()
    }
}